<?php

  $gallery_terms = get_terms(array( "taxonomy"=>"taxonomy_galerie", "fields"=>"ids", "hide_empty"=>true ));

  if ($gallery_terms) {
    ?>
    
        <div id="gallery-terms">
          <h4><?php _e("Rozcestník", TEXTDOMAIN) ?></h4>
            <ul>
            <?php
                foreach ( $gallery_terms as $id ) {
    
                    $count = get_term( $id )->count;
    
                    echo '
                      <li>
                        <h4>
                          <a href="'.get_term_link( $id ).'" title="'.get_term( $id )->name.'">
                            '.get_term( $id )->name.' ('.get_term( $id )->count.'&times;)
                          </a>
                        </h4>
                      </li>
                    ';

                }
            ?>
            </ul>
        </div>
    
  <?php
  }

  if (have_posts()):
?>

  <div id="cpt-galerie">

    <?php
        while( have_posts() ): the_post();

          $featured = wp_get_attachment_image_src( get_post_thumbnail_id(), "medium" ) ? : [];
          $images = get_gallery_count( get_the_ID() );

        echo '
          <article>
          <a href="'.get_permalink().'">
            <figure>
              <div style="background: url('.current($featured).') no-repeat 50% 50% / cover"></div>
              <figcaption>
                <h4>'.get_the_title().'</h4>
                <i>'.$images.'</i>
              </figcaption>
            </figure>
          </a>
          </article>
        ';

        endwhile;
    ?>

  </div>

<?php else: echo '<h4>'.__( "Není zde žádná galerie.", TEXTDOMAIN ).'</h4>'; endif ?>
