<?php

$medailonky = rwmb_meta( 'mb_medailonky_group' );
if ($medailonky) {
?>

    <h2><?php _e( "Vedoucí oddílu", TEXTDOMAIN ) ?></h2>

    <section id="post-medallions">
    <?php
        foreach ( $medailonky as $kontakt ) {
            $pozice = isset($kontakt['mb_medailonek_pozice']) ? '<small class="meta"><em>'.$kontakt['mb_medailonek_pozice'].'</em></small><br>' : null;
            $email = isset($kontakt['mb_medailonek_email']) ? '<div class="email"><a href="mailto:'.$kontakt['mb_medailonek_email'].'">'.$kontakt['mb_medailonek_email'].'</a></div>' : null;
            $telefon = isset($kontakt['mb_medailonek_telefon']) ? $kontakt['mb_medailonek_telefon'] : null;
            echo '
                <article>
                    <figure>'.wp_get_attachment_image( current($kontakt["mb_medailonek_fotografie"]), 'medailonek' ).'</figure>
                    <div class="summary">
                        <h5>'.$kontakt['mb_medailonek_jmeno'].'</h5>
                        '.$pozice.$email.$telefon.'
                    </div>
                </article>
            ';
        }
    ?>
    </section>

<?php
}